"""
Created on Aug 9, 2018

@author: noob
"""

from .base import ApiJob
from common.util.decorators import api_token_required
from django.http import HttpResponse
from json import dumps


class JobMonitoringConfig(ApiJob):
    http_method_names = ['post']

    @api_token_required
    def post(self, request, job, **kwargs):
        return HttpResponse(dumps([{'success': 1}]), content_type='application/json')